/// <reference types="react" />
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { OtherProperties } from '@tinystacks/ops-core/dist/types';
import { Widget } from '@tinystacks/ops-model';
import { GithubAction, Github as GithubType } from './ops-types.js';
type GithubOverrides = {
    host?: string;
    organization?: string;
    repository?: string;
};
declare class Github extends BaseWidget implements GithubType {
    host?: string;
    organization: string;
    repository: string;
    actions?: GithubAction[];
    constructor(props: GithubType);
    static fromJson(object: GithubType, _dependencySource?: string): Github;
    toJson(): GithubType;
    getData(providers?: BaseProvider[], overrides?: GithubOverrides, _parameters?: OtherProperties): Promise<void>;
    render(_children?: (Widget & {
        renderedElement: JSX.Element;
    })[], _overridesCallback?: (overrides: any) => void): JSX.Element;
}
export { Github };
