import { BaseProvider } from '@tinystacks/ops-core';
import { OtherProperties } from '@tinystacks/ops-core/dist/types.js';
import { CliEnvironmentProvider } from './cli-environment-provider.js';
import { CredentialsProvider } from './credentials-provider.js';
import { GithubCredentials, GithubCredentialsProvider as GithubCredentialsProviderType } from '../ops-types.js';
declare class GithubCredentialsProvider extends BaseProvider implements CliEnvironmentProvider, CredentialsProvider, GithubCredentialsProviderType {
    static type: string;
    credentials: GithubCredentials;
    host?: string;
    constructor(props: GithubCredentialsProviderType);
    static fromJson(object: GithubCredentialsProviderType): GithubCredentialsProvider;
    getCredentials(): GithubCredentials;
    getCliEnvironment(envVars?: OtherProperties): OtherProperties;
}
export { GithubCredentialsProvider };
